Subject: Re: [PATCH 2/3] ARM: DTS: imx6q-logicpd: Reduce inrush current on start

From: Shawn Guo <[email-masked]>
Date: Wed, 20 Mar 2019 22:57:25 +0800

On Wed, Mar 20, 2019 at 08:41:27AM -0500, Adam Ford wrote:
> On Wed, Mar 20, 2019 at 7:45 AM Shawn Guo <[email-masked]> wrote:
> >
> > On Wed, Mar 06, 2019 at 08:04:00AM -0600, Adam Ford wrote:
> > > The main 3.3V regulator sources a series of additional regulators.
> > > This patch adds a small delay, so when the 3.3V regulator comes
> > > on it delays a bit before the subsequent regulators can come on.
> > > This reduces the inrush current a bit on the external DC power
> > > supply.
> > >
> > > Fixes: 1c207f911fe9 ("ARM: dts: imx: Add support for Logic PD
> > > i.MX6QD EVM")
> >
> > Same comment as patch #1.
> 
> The sourcing regulator occasionally cuts out because the inrush is so
> high.  I would argue that preventing a hardware issue like that would
> be a 'fix' and if it helps, I could add that to the description.

Yes, if you would like to get it in as a fix, please elaborate the real
world issue it fixes.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel